=== Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = "/Applications/CMake 2.8-6.app/Contents/bin/cmake"

# The command to remove a file.
RM = "/Applications/CMake 2.8-6.app/Contents/bin/cmake" -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = "/Applications/CMake 2.8-6.app/Contents/bin/ccmake"

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /Users/hobu/foo/clean

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /Users/hobu/foo/clean

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	"/Applications/CMake 2.8-6.app/Contents/bin/ccmake" -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cpack" --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cpack" --config ./CPackSourceConfig.cmake /Users/hobu/foo/clean/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	"/Applications/CMake 2.8-6.app/Contents/bin/ctest" --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/hobu/foo/clean/CMakeFiles /Users/hobu/foo/clean/CMakeFiles/progress.marks
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/hobu/foo/clean/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named dist

# Build rule for target.
dist: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 dist
.PHONY : dist

# fast build rule for target.
dist/fast:
	$(MAKE) -f CMakeFiles/dist.dir/build.make CMakeFiles/dist.dir/build
.PHONY : dist/fast

#=============================================================================
# Target rules for targets named las

# Build rule for target.
las: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 las
.PHONY : las

# fast build rule for target.
las/fast:
	$(MAKE) -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/build
.PHONY : las/fast

#=============================================================================
# Target rules for targets named las_c

# Build rule for target.
las_c: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 las_c
.PHONY : las_c

# fast build rule for target.
las_c/fast:
	$(MAKE) -f src/CMakeFiles/las_c.dir/build.make src/CMakeFiles/las_c.dir/build
.PHONY : las_c/fast

#=============================================================================
# Target rules for targets named bigfile_test

# Build rule for target.
bigfile_test: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 bigfile_test
.PHONY : bigfile_test

# fast build rule for target.
bigfile_test/fast:
	$(MAKE) -f apps/CMakeFiles/bigfile_test.dir/build.make apps/CMakeFiles/bigfile_test.dir/build
.PHONY : bigfile_test/fast

#=============================================================================
# Target rules for targets named las2las

# Build rule for target.
las2las: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 las2las
.PHONY : las2las

# fast build rule for target.
las2las/fast:
	$(MAKE) -f apps/CMakeFiles/las2las.dir/build.make apps/CMakeFiles/las2las.dir/build
.PHONY : las2las/fast

#=============================================================================
# Target rules for targets named las2las-old

# Build rule for target.
las2las-old: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 las2las-old
.PHONY : las2las-old

# fast build rule for target.
las2las-old/fast:
	$(MAKE) -f apps/CMakeFiles/las2las-old.dir/build.make apps/CMakeFiles/las2las-old.dir/build
.PHONY : las2las-old/fast

#=============================================================================
# Target rules for targets named las2txt

# Build rule for target.
las2txt: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 las2txt
.PHONY : las2txt

# fast build rule for target.
las2txt/fast:
	$(MAKE) -f apps/CMakeFiles/las2txt.dir/build.make apps/CMakeFiles/las2txt.dir/build
.PHONY : las2txt/fast

#=============================================================================
# Target rules for targets named las2txt-old

# Build rule for target.
las2txt-old: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 las2txt-old
.PHONY : las2txt-old

# fast build rule for target.
las2txt-old/fast:
	$(MAKE) -f apps/CMakeFiles/las2txt-old.dir/build.make apps/CMakeFiles/las2txt-old.dir/build
.PHONY : las2txt-old/fast

#=============================================================================
# Target rules for targets named lasblock

# Build rule for target.
lasblock: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 lasblock
.PHONY : lasblock

# fast build rule for target.
lasblock/fast:
	$(MAKE) -f apps/CMakeFiles/lasblock.dir/build.make apps/CMakeFiles/lasblock.dir/build
.PHONY : lasblock/fast

#=============================================================================
# Target rules for targets named lasindex_test

# Build rule for target.
lasindex_test: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 lasindex_test
.PHONY : lasindex_test

# fast build rule for target.
lasindex_test/fast:
	$(MAKE) -f apps/CMakeFiles/lasindex_test.dir/build.make apps/CMakeFiles/lasindex_test.dir/build
.PHONY : lasindex_test/fast

#=============================================================================
# Target rules for targets named lasinfo

# Build rule for target.
lasinfo: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 lasinfo
.PHONY : lasinfo

# fast build rule for target.
lasinfo/fast:
	$(MAKE) -f apps/CMakeFiles/lasinfo.dir/build.make apps/CMakeFiles/lasinfo.dir/build
.PHONY : lasinfo/fast

#=============================================================================
# Target rules for targets named lasinfo-old

# Build rule for target.
lasinfo-old: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 lasinfo-old
.PHONY : lasinfo-old

# fast build rule for target.
lasinfo-old/fast:
	$(MAKE) -f apps/CMakeFiles/lasinfo-old.dir/build.make apps/CMakeFiles/lasinfo-old.dir/build
.PHONY : lasinfo-old/fast

#=============================================================================
# Target rules for targets named lasmerge

# Build rule for target.
lasmerge: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 lasmerge
.PHONY : lasmerge

# fast build rule for target.
lasmerge/fast:
	$(MAKE) -f apps/CMakeFiles/lasmerge.dir/build.make apps/CMakeFiles/lasmerge.dir/build
.PHONY : lasmerge/fast

#=============================================================================
# Target rules for targets named ts2las

# Build rule for target.
ts2las: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 ts2las
.PHONY : ts2las

# fast build rule for target.
ts2las/fast:
	$(MAKE) -f apps/CMakeFiles/ts2las.dir/build.make apps/CMakeFiles/ts2las.dir/build
.PHONY : ts2las/fast

#=============================================================================
# Target rules for targets named txt2las

# Build rule for target.
txt2las: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 txt2las
.PHONY : txt2las

# fast build rule for target.
txt2las/fast:
	$(MAKE) -f apps/CMakeFiles/txt2las.dir/build.make apps/CMakeFiles/txt2las.dir/build
.PHONY : txt2las/fast

#=============================================================================
# Target rules for targets named liblas_test

# Build rule for target.
liblas_test: cmake_check_build_system
