=== src/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = "/Applications/CMake 2.8-6.app/Contents/bin/cmake"

# The command to remove a file.
RM = "/Applications/CMake 2.8-6.app/Contents/bin/cmake" -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = "/Applications/CMake 2.8-6.app/Contents/bin/ccmake"

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /Users/hobu/foo/clean

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /Users/hobu/foo/clean

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	"/Applications/CMake 2.8-6.app/Contents/bin/ccmake" -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /Users/hobu/foo/clean && "/Applications/CMake 2.8-6.app/Contents/bin/cpack" --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /Users/hobu/foo/clean && "/Applications/CMake 2.8-6.app/Contents/bin/cpack" --config ./CPackSourceConfig.cmake /Users/hobu/foo/clean/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	"/Applications/CMake 2.8-6.app/Contents/bin/ctest" --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	cd /Users/hobu/foo/clean && $(CMAKE_COMMAND) -E cmake_progress_start /Users/hobu/foo/clean/CMakeFiles /Users/hobu/foo/clean/src/CMakeFiles/progress.marks
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 src/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/hobu/foo/clean/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 src/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 src/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 src/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /Users/hobu/foo/clean && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/CMakeFiles/las.dir/rule:
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 src/CMakeFiles/las.dir/rule
.PHONY : src/CMakeFiles/las.dir/rule

# Convenience name for target.
las: src/CMakeFiles/las.dir/rule
.PHONY : las

# fast build rule for target.
las/fast:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/build
.PHONY : las/fast

# Convenience name for target.
src/CMakeFiles/las_c.dir/rule:
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 src/CMakeFiles/las_c.dir/rule
.PHONY : src/CMakeFiles/las_c.dir/rule

# Convenience name for target.
las_c: src/CMakeFiles/las_c.dir/rule
.PHONY : las_c

# fast build rule for target.
las_c/fast:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las_c.dir/build.make src/CMakeFiles/las_c.dir/build
.PHONY : las_c/fast

c_api.o: c_api.cpp.o
.PHONY : c_api.o

# target to build an object file
c_api.cpp.o:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las_c.dir/build.make src/CMakeFiles/las_c.dir/c_api.cpp.o
.PHONY : c_api.cpp.o

c_api.i: c_api.cpp.i
.PHONY : c_api.i

# target to preprocess a source file
c_api.cpp.i:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las_c.dir/build.make src/CMakeFiles/las_c.dir/c_api.cpp.i
.PHONY : c_api.cpp.i

c_api.s: c_api.cpp.s
.PHONY : c_api.s

# target to generate assembly for a file
c_api.cpp.s:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las_c.dir/build.make src/CMakeFiles/las_c.dir/c_api.cpp.s
.PHONY : c_api.cpp.s

chipper.o: chipper.cpp.o
.PHONY : chipper.o

# target to build an object file
chipper.cpp.o:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/chipper.cpp.o
.PHONY : chipper.cpp.o

chipper.i: chipper.cpp.i
.PHONY : chipper.i

# target to preprocess a source file
chipper.cpp.i:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/chipper.cpp.i
.PHONY : chipper.cpp.i

chipper.s: chipper.cpp.s
.PHONY : chipper.s

# target to generate assembly for a file
chipper.cpp.s:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/chipper.cpp.s
.PHONY : chipper.cpp.s

classification.o: classification.cpp.o
.PHONY : classification.o

# target to build an object file
classification.cpp.o:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/classification.cpp.o
.PHONY : classification.cpp.o

classification.i: classification.cpp.i
.PHONY : classification.i

# target to preprocess a source file
classification.cpp.i:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/classification.cpp.i
.PHONY : classification.cpp.i

classification.s: classification.cpp.s
.PHONY : classification.s

# target to generate assembly for a file
classification.cpp.s:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/classification.cpp.s
.PHONY : classification.cpp.s

color.o: color.cpp.o
.PHONY : color.o

# target to build an object file
color.cpp.o:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/color.cpp.o
.PHONY : color.cpp.o

color.i: color.cpp.i
.PHONY : color.i

# target to preprocess a source file
color.cpp.i:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/color.cpp.i
.PHONY : color.cpp.i

color.s: color.cpp.s
.PHONY : color.s

# target to generate assembly for a file
color.cpp.s:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/color.cpp.s
.PHONY : color.cpp.s

detail/index/indexcell.o: detail/index/indexcell.cpp.o
.PHONY : detail/index/indexcell.o

# target to build an object file
detail/index/indexcell.cpp.o:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/detail/index/indexcell.cpp.o
.PHONY : detail/index/indexcell.cpp.o

detail/index/indexcell.i: detail/index/indexcell.cpp.i
.PHONY : detail/index/indexcell.i

# target to preprocess a source file
detail/index/indexcell.cpp.i:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/detail/index/indexcell.cpp.i
.PHONY : detail/index/indexcell.cpp.i

detail/index/indexcell.s: detail/index/indexcell.cpp.s
.PHONY : detail/index/indexcell.s

# target to generate assembly for a file
detail/index/indexcell.cpp.s:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/detail/index/indexcell.cpp.s
.PHONY : detail/index/indexcell.cpp.s

detail/index/indexoutput.o: detail/index/indexoutput.cpp.o
.PHONY : detail/index/indexoutput.o

# target to build an object file
detail/index/indexoutput.cpp.o:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/detail/index/indexoutput.cpp.o
.PHONY : detail/index/indexoutput.cpp.o

detail/index/indexoutput.i: detail/index/indexoutput.cpp.i
.PHONY : detail/index/indexoutput.i

# target to preprocess a source file
detail/index/indexoutput.cpp.i:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/detail/index/indexoutput.cpp.i
.PHONY : detail/index/indexoutput.cpp.i

detail/index/indexoutput.s: detail/index/indexoutput.cpp.s
.PHONY : detail/index/indexoutput.s

# target to generate assembly for a file
detail/index/indexoutput.cpp.s:
	cd /Users/hobu/foo/clean && $(MAKE) -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/detail/index/indexoutput.cpp.s
.PHONY : detail/index/indexoutput.cpp.s

detail/reader/cachedreader.o: detail/reader/cachedreader.cpp.o
.PHONY : detail/reader/cachedreader.o

# target to build an object file
detail/reader/cachedreader.cpp.o:
