=== test/unit/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = "/Applications/CMake 2.8-6.app/Contents/bin/cmake"

# The command to remove a file.
RM = "/Applications/CMake 2.8-6.app/Contents/bin/cmake" -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = "/Applications/CMake 2.8-6.app/Contents/bin/ccmake"

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /Users/hobu/foo/clean

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /Users/hobu/foo/clean

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	"/Applications/CMake 2.8-6.app/Contents/bin/ccmake" -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /Users/hobu/foo/clean && "/Applications/CMake 2.8-6.app/Contents/bin/cpack" --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /Users/hobu/foo/clean && "/Applications/CMake 2.8-6.app/Contents/bin/cpack" --config ./CPackSourceConfig.cmake /Users/hobu/foo/clean/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	"/Applications/CMake 2.8-6.app/Contents/bin/cmake" -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	"/Applications/CMake 2.8-6.app/Contents/bin/ctest" --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	cd /Users/hobu/foo/clean && $(CMAKE_COMMAND) -E cmake_progress_start /Users/hobu/foo/clean/CMakeFiles /Users/hobu/foo/clean/test/unit/CMakeFiles/progress.marks
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 test/unit/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/hobu/foo/clean/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 test/unit/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 test/unit/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 test/unit/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /Users/hobu/foo/clean && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
test/unit/CMakeFiles/liblas_test.dir/rule:
	cd /Users/hobu/foo/clean && $(MAKE) -f CMakeFiles/Makefile2 test/unit/CMakeFiles/liblas_test.dir/rule
.PHONY : test/unit/CMakeFiles/liblas_test.dir/rule

# Convenience name for target.
liblas_test: test/unit/CMakeFiles/liblas_test.dir/rule
.PHONY : liblas_test

# fast build rule for target.
liblas_test/fast:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/build
.PHONY : liblas_test/fast

bounds_test.o: bounds_test.cpp.o
.PHONY : bounds_test.o

# target to build an object file
bounds_test.cpp.o:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/bounds_test.cpp.o
.PHONY : bounds_test.cpp.o

bounds_test.i: bounds_test.cpp.i
.PHONY : bounds_test.i

# target to preprocess a source file
bounds_test.cpp.i:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/bounds_test.cpp.i
.PHONY : bounds_test.cpp.i

bounds_test.s: bounds_test.cpp.s
.PHONY : bounds_test.s

# target to generate assembly for a file
bounds_test.cpp.s:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/bounds_test.cpp.s
.PHONY : bounds_test.cpp.s

common.o: common.cpp.o
.PHONY : common.o

# target to build an object file
common.cpp.o:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/common.cpp.o
.PHONY : common.cpp.o

common.i: common.cpp.i
.PHONY : common.i

# target to preprocess a source file
common.cpp.i:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/common.cpp.i
.PHONY : common.cpp.i

common.s: common.cpp.s
.PHONY : common.s

# target to generate assembly for a file
common.cpp.s:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/common.cpp.s
.PHONY : common.cpp.s

error_test.o: error_test.cpp.o
.PHONY : error_test.o

# target to build an object file
error_test.cpp.o:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/error_test.cpp.o
.PHONY : error_test.cpp.o

error_test.i: error_test.cpp.i
.PHONY : error_test.i

# target to preprocess a source file
error_test.cpp.i:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/error_test.cpp.i
.PHONY : error_test.cpp.i

error_test.s: error_test.cpp.s
.PHONY : error_test.s

# target to generate assembly for a file
error_test.cpp.s:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/error_test.cpp.s
.PHONY : error_test.cpp.s

guid_test.o: guid_test.cpp.o
.PHONY : guid_test.o

# target to build an object file
guid_test.cpp.o:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/guid_test.cpp.o
.PHONY : guid_test.cpp.o

guid_test.i: guid_test.cpp.i
.PHONY : guid_test.i

# target to preprocess a source file
guid_test.cpp.i:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/guid_test.cpp.i
.PHONY : guid_test.cpp.i

guid_test.s: guid_test.cpp.s
.PHONY : guid_test.s

# target to generate assembly for a file
guid_test.cpp.s:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/guid_test.cpp.s
.PHONY : guid_test.cpp.s

header_test.o: header_test.cpp.o
.PHONY : header_test.o

# target to build an object file
header_test.cpp.o:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/header_test.cpp.o
.PHONY : header_test.cpp.o

header_test.i: header_test.cpp.i
.PHONY : header_test.i

# target to preprocess a source file
header_test.cpp.i:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/header_test.cpp.i
.PHONY : header_test.cpp.i

header_test.s: header_test.cpp.s
.PHONY : header_test.s

# target to generate assembly for a file
header_test.cpp.s:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/header_test.cpp.s
.PHONY : header_test.cpp.s

liblas_test_suite.o: liblas_test_suite.cpp.o
.PHONY : liblas_test_suite.o

# target to build an object file
liblas_test_suite.cpp.o:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/liblas_test_suite.cpp.o
.PHONY : liblas_test_suite.cpp.o

liblas_test_suite.i: liblas_test_suite.cpp.i
.PHONY : liblas_test_suite.i

# target to preprocess a source file
liblas_test_suite.cpp.i:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/liblas_test_suite.cpp.i
.PHONY : liblas_test_suite.cpp.i

liblas_test_suite.s: liblas_test_suite.cpp.s
.PHONY : liblas_test_suite.s

# target to generate assembly for a file
liblas_test_suite.cpp.s:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/liblas_test_suite.cpp.s
.PHONY : liblas_test_suite.cpp.s

point_test.o: point_test.cpp.o
.PHONY : point_test.o

# target to build an object file
point_test.cpp.o:
	cd /Users/hobu/foo/clean && $(MAKE) -f test/unit/CMakeFiles/liblas_test.dir/build.make test/unit/CMakeFiles/liblas_test.dir/point_test.cpp.o
.PHONY : point_test.cpp.o
