=== debian/changelog ===
liblas (1.7.0+dfsg-4) unstable; urgency=low

  * Move python dependencies from Build-Depends-Indep to Build-Depends.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 21 Feb 2014 11:52:35 +0100

liblas (1.7.0+dfsg-3) unstable; urgency=low

  * Team upload.
  * Update debian watch file with sepwatch changes,
    and handle more common mistakes.
  * Refresh boost patch.
  * Also build python extension, replaces separate source package.
    (closes: #735516)
  * Remove obsolete liblas1.install.
  * Add patch to fix the library version and SONAME.
  * Add lintian overrides for no symbols file,
    symbols are problematic for C++ libraries.
  * Enable verbose build logs.
  * Add patch from python-liblas to fix the library search path.
  * Use pybuild instead of python_distutils buildsystem.
    Thanks Graham Inggs for the patch.
  * Change libtiff build dependency to libtiff-dev only.
    (closes: #736129)
  * Update liblas-dev dependency on libgdal-dev to match the build dependency.
  * Drop shlibs:Depends for -dev packages.
  * Add manpages for liblas-bin & liblas-dev.
    (closes: #645820)
  * Install python examples.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 08 Feb 2014 03:15:29 +0100

liblas (1.7.0+dfsg-2) unstable; urgency=medium

  * Fixed missing linking of system boost component.
    (closes: #733282)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 05 Jan 2014 17:00:29 +0100

liblas (1.7.0+dfsg-1) unstable; urgency=medium

  * Merged change accepted upstream to substitute the non-free SHA1
    implementation with a MIT/X11 implementation as provided by 
    http://tamale.net/sha1
    (closes: #730754)
  * Revised debian/copyright to reflect changes and missing licenses.
    (closes: #730755)
  * Policy bumped to 3.9.5, no changes required.
  * Moved to new libgdal-dev b-d.
  * Moved to canonical Vcs-* fields.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 27 Dec 2013 18:31:02 +0100

liblas (1.7.0-1) experimental; urgency=low

  [ David Paleino ]
  * Updated debian/watch to reflect new source location.
  * Package moved to git, reflect the change in Vcs-* fields.
  * Moved from CDBS to dh
  * Added myself to Uploaders
  * Dropped patches, no more needed
  * Libraries split: liblas(2) and liblas-c(2), since both a C and a C++
    version is provided. The same applies for the -dev packages.

  [ Francesco Paolo Lovergine ]
  * New upstream version with SONAME bumping.
  * Moved to source format 3.0.
  * Policy bumped to 3.9.3, no changes required.
  * Strictly depends on GDAL 1.7+.
  * Now use the new TIFF library.
  * Debhelper moved to level 8.
  * Added new build-dep: libboost-dev.
  * Debhelper level set to 9.
  * debian/copyright now is in format 1.0.
  * Now both a C and a C++ bindings are provided, so
    new binary packages have been introduced, with SONAME
    bumping.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 26 Nov 2013 16:03:56 +0100

liblas (1.2.1-1) unstable; urgency=low

  * Initial release.
    (closes: #532415)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 02 Oct 2009 12:36:21 +0200
