=== debian/rules ===
#!/usr/bin/make -f

MANPAGES:=$(wildcard debian/man/*.*.xml)

%:
	dh $@ --buildsystem cmake \
	      --parallel

override_dh_auto_clean-indep:
	dh_auto_clean --sourcedirectory $(CURDIR)/python --buildsystem pybuild

override_dh_clean:
	dh_clean

	rm -rf $(CURDIR)/README.txt

override_dh_auto_configure:
	dh_auto_configure --buildsystem cmake -- \
		-DCMAKE_VERBOSE_MAKEFILE=1 \
		-DWITH_GDAL=TRUE \
		-DWITH_GEOTIFF=TRUE \
		-DGEOTIFF_INCLUDE_DIR=/usr/include/geotiff

override_dh_auto_configure-indep:
	dh_auto_configure --sourcedirectory $(CURDIR)/python --buildsystem pybuild

override_dh_auto_build-arch:
	# Create man pages from DocBook XML
	for x in $(MANPAGES) ; do \
	  docbook2x-man $$x ; \
	  mv `basename $$x | sed 's/.xml$$//'` `dirname $$x` ; \
	done

	dh_auto_build

override_dh_auto_build-indep:
	dh_auto_build --sourcedirectory $(CURDIR)/python --buildsystem pybuild

override_dh_auto_test:
	# don't run tests

override_dh_auto_install-indep:
	dh_auto_install --sourcedirectory $(CURDIR)/python --buildsystem pybuild

override_dh_install-arch:
	dh_install --arch

	# remove capi from liblas-dev
	rm -vrf $(CURDIR)/debian/liblas-dev/usr/include/liblas/capi/

override_dh_install-indep:
	dh_install --indep
	dh_python2 --indep
